﻿using IgApp.Models;
using Infragistics.Web.Mvc;
using Microsoft.AspNetCore.Mvc;

namespace IgApp.Controllers
{
    public class HomeController : Controller
    {

        [GridDataSourceAction]
        public ActionResult Index()
        {
            return View(GetEvents().AsQueryable());
        }

        private IEnumerable<Event> GetEvents()
        {
            return new List<Event>
            {
                new Event { EventGUID="1", EventName="Google", TicketTypeGUID="John", TicketTypeName="ABC1", CheckInCount = 20, PeopleCount = 12, CheckedIn = true},
                new Event { EventGUID="2", EventName="Microsoft", TicketTypeGUID="Bob", TicketTypeName="ABC2", CheckInCount = 30, PeopleCount = 22, CheckedIn = true},
                new Event { EventGUID="3", EventName="Google", TicketTypeGUID="Charles", TicketTypeName="ABC2", CheckInCount = 12, PeopleCount = 13, CheckedIn = true},
                new Event { EventGUID="4", EventName="Apple", TicketTypeGUID="Pablo", TicketTypeName="ABC1", CheckInCount = 20, PeopleCount = 8, CheckedIn = false},
                new Event { EventGUID="5", EventName="Google", TicketTypeGUID="Kevin", TicketTypeName="ABC5", CheckInCount = 6, PeopleCount = 30, CheckedIn = false},
                new Event { EventGUID="6", EventName="Microsoft", TicketTypeGUID="Otto", TicketTypeName="ABC2", CheckInCount = 7, PeopleCount = 11, CheckedIn = true},
                new Event { EventGUID="7", EventName="Apple", TicketTypeGUID="David", TicketTypeName="ABC7", CheckInCount = 18, PeopleCount = 19, CheckedIn = false},
                new Event { EventGUID="8", EventName="Microsoft", TicketTypeGUID="Merlin", TicketTypeName="ABC8", CheckInCount = 15, PeopleCount = 32, CheckedIn = false},
                new Event { EventGUID="9", EventName="Google", TicketTypeGUID="Ben", TicketTypeName="ABC5", CheckInCount = 3, PeopleCount = 14, CheckedIn = true},
            };
        }
    }
}